using System;
using PkmnLibSharp.Utilities;

namespace PkmnLibSharp.Library.GrowthRates
{
    public abstract class GrowthRate : PointerWrapper
    {
        internal GrowthRate(IntPtr ptr) : base(ptr)
        {
        }
        
        protected GrowthRate(){}

        public byte CalculateLevel(uint experience)
        {
            byte b = 0;
            Creaturelib.Generated.GrowthRate.CalculateLevel(ref b, Ptr, experience).Assert();
            return b;
        }
        
        public uint CalculateExperience(byte level)
        {
            uint i = 0;
            Creaturelib.Generated.GrowthRate.CalculateExperience(ref i, Ptr, level).Assert();
            return i;
        }
    }
}